Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Interfaces.h
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Interfaces.h	(revision 30)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Interfaces.h	(revision 30)
@@ -0,0 +1,59 @@
+#ifndef morpheo_behavioural_Interfaces_h
+#define morpheo_behavioural_Interfaces_h
+
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include <stdint.h>
+#include <iostream>
+#include <list>
+#include "Behavioural/include/Interface.h"
+#include "Include/ToString.h"
+#include "Include/Debug.h"
+#ifdef VHDL
+#include "Behavioural/include/Vhdl.h"
+#endif
+#ifdef VHDL_TESTBENCH
+#include "Behavioural/include/Vhdl_Testbench.h"
+#endif
+
+using namespace std;
+
+namespace morpheo              {
+namespace behavioural          {
+
+  class Interfaces
+  {
+    // -----[ fields ]----------------------------------------------------
+  private   : list<Interface>       _list_interface;
+
+    // -----[ methods ]---------------------------------------------------
+  public    :                       Interfaces            (void);
+
+  public    :                       ~Interfaces           ();
+
+  public    : void                  set_interface         (Interface interface);
+  public    : string                get_interface         (void);
+
+#ifdef VHDL
+  public    : void                  set_port              (Vhdl           * & vhdl          );
+#endif
+#ifdef VHDL_TESTBENCH
+  public    : void                  set_port              (Vhdl_Testbench * & vhdl_testbench);
+#endif
+
+  public    : XML                   toXML                 (void);
+
+  public    : friend ostream&       operator<<            (ostream& output_stream,
+  					  		   morpheo::behavioural::Interfaces & x);
+
+  };
+
+}; // end namespace behavioural          
+}; // end namespace morpheo              
+
+#endif
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Localisation.h
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Localisation.h	(revision 30)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Localisation.h	(revision 30)
@@ -0,0 +1,30 @@
+#ifdef VHDL
+
+#ifndef morpheo_behavioural_Localisation_h
+#define morpheo_behavioural_Localisation_h
+
+#include "Include/ToString.h"
+
+namespace morpheo              {
+namespace behavioural          {
+
+  typedef enum {NORTH, SOUTH, EAST, WEST} localisation_t;
+  
+}; // end namespace behavioural          
+  
+  template<>           inline std::string toString<morpheo::behavioural::localisation_t>(const morpheo::behavioural::localisation_t& x)
+  {
+    switch (x)
+      {
+      case morpheo::behavioural::NORTH   : return "north" ; break;
+      case morpheo::behavioural::SOUTH   : return "south" ; break;
+      case morpheo::behavioural::EAST    : return "east"  ; break;
+      case morpheo::behavioural::WEST    : return "west"  ; break;
+      default                            : return ""      ; break;
+      }
+  }
+  
+}; // end namespace morpheo              
+
+#endif
+#endif
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Signal.h
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Signal.h	(revision 30)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Signal.h	(revision 30)
@@ -0,0 +1,65 @@
+#ifndef morpheo_behavioural_Signal_h
+#define morpheo_behavioural_Signal_h
+
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include <stdint.h>
+#include <iostream>
+#include "Behavioural/include/Direction.h"
+#include "Behavioural/include/XML.h"
+#include "Include/ToString.h"
+#include "Include/Debug.h"
+
+using namespace std;
+
+namespace morpheo              {
+namespace behavioural          {
+
+  typedef enum {PORT_VHDL_YES_TESTBENCH_YES,
+		PORT_VHDL_YES_TESTBENCH_NO ,
+		PORT_VHDL_NO_TESTBENCH_YES ,
+		PORT_VHDL_NO_TESTBENCH_NO  } presence_port_t;
+
+  class Signal
+  {
+    // -----[ fields ]----------------------------------------------------
+  public    : const string          _name         ;
+  public    : const direction_t     _direction    ;
+  public    : const uint32_t        _size         ;
+  public    : const presence_port_t _presence_port;
+
+    // -----[ methods ]---------------------------------------------------
+  public    :                   Signal          (string          name          ,
+						 direction_t     direction     ,
+						 uint32_t        size          ,
+						 presence_port_t presence_port = PORT_VHDL_YES_TESTBENCH_YES);
+  public    :                   ~Signal         ();
+
+  public    : XML               toXML           (void);
+
+  public    : friend ostream&   operator<<      (ostream& output_stream,
+						 morpheo::behavioural::Signal & x);
+
+  };
+}; // end namespace behavioural          
+
+  template<>           inline std::string toString<morpheo::behavioural::presence_port_t>(const morpheo::behavioural::presence_port_t& x)
+  {
+    switch (x)
+      {
+      case morpheo::behavioural::PORT_VHDL_YES_TESTBENCH_YES : return "Port is in VHDL's model and TestBench's model" ; break;
+      case morpheo::behavioural::PORT_VHDL_YES_TESTBENCH_NO  : return "Port is in VHDL's model                      " ; break;
+      case morpheo::behavioural::PORT_VHDL_NO_TESTBENCH_YES  : return "Port is in                  TestBench's model" ; break;
+      case morpheo::behavioural::PORT_VHDL_NO_TESTBENCH_NO   : return "Port is in none model                        " ; break;
+      default                                                : return "";                                               break;
+      }
+  }
+
+}; // end namespace morpheo              
+
+#endif
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Vhdl.h
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Vhdl.h	(revision 20)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Vhdl.h	(revision 30)
@@ -14,4 +14,5 @@
 #include <iostream>
 #include <list>
+#include "Behavioural/include/Direction.h"
 #include "Include/ToString.h"
 #include "Include/Debug.h"
@@ -21,6 +22,4 @@
 namespace morpheo              {
 namespace behavioural          {
-
-  typedef enum { IN, OUT, INOUT } direction_t;
 
   string std_logic        (uint32_t size);
@@ -45,5 +44,5 @@
     // -----[ methods ]---------------------------------------------------
   public    :                  Vhdl                        (string name);
-  public    : virtual          ~Vhdl                       ();
+  public    :                  ~Vhdl                       ();
 						           
   public    : void             generate_file               (void);
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/include/XML.h
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/include/XML.h	(revision 20)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/include/XML.h	(revision 30)
@@ -40,4 +40,5 @@
   public   : bool             singleton_end       (void);
   public   : bool             attribut            (string name, string value);
+  public   : bool             insert_XML          (XML    xml );
 
   public   : void             generate_file       (void);
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/mkf.info
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/mkf.info	(revision 20)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/mkf.info	(revision 30)
@@ -16,5 +16,5 @@
 # build src directory content
 #target_dep		all		Generic/Counter/SelfTest
-target_dep		all		Generic/RegisterFile/SelfTest
+target_dep		all		Generic/RegisterFile/RegisterFile_Monolithic/SelfTest
 #target_dep		all		Generic/Shifter/SelfTest
 target_dep		all		Generic/Select/Priority_Fixed/SelfTest
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface.cpp	(revision 30)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface.cpp	(revision 30)
@@ -0,0 +1,28 @@
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/include/Interface.h"
+
+namespace morpheo              {
+namespace behavioural          {
+
+  Interface::Interface  (string                name         ,
+			 direction_t           direction    ,
+			 localisation_t        localisation ):
+    _name         (name        ),
+    _direction    (direction   ),
+    _localisation (localisation)
+  {
+  };
+  
+  Interface::~Interface ()
+  {
+  };
+  
+
+}; // end namespace behavioural          
+}; // end namespace morpheo              
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_get_comment.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_get_comment.cpp	(revision 30)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_get_comment.cpp	(revision 30)
@@ -0,0 +1,20 @@
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/include/Interface.h"
+
+
+namespace morpheo              {
+namespace behavioural          {
+
+  string Interface::get_comment (void)
+  {
+    return _comment;
+  };
+
+}; // end namespace behavioural          
+}; // end namespace morpheo              
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_get_signal.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_get_signal.cpp	(revision 30)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_get_signal.cpp	(revision 30)
@@ -0,0 +1,51 @@
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/include/Interface.h"
+
+
+namespace morpheo              {
+namespace behavioural          {
+
+  string Interface::get_signal (void)
+  {
+    uint32_t               depth          = 0;
+    string                 separator      = ",\n";
+    bool                   last_separator = false;
+
+
+    list<Signal>::iterator i     = _list_signal.begin();
+    bool                   empty = _list_signal.empty();
+
+    string                 tab   = string(depth,'\t');
+    ostringstream          text;
+
+    if (not empty)
+      {
+	// First
+	if (i != _list_signal.end())
+	  {
+	    text << tab << *i;
+	    ++i;
+	  }
+	
+	while (i != _list_signal.end())
+	  {
+	    text << separator;
+	    text << tab << *i;
+	    ++i;
+	  }
+	
+	if (last_separator)
+	  text << separator;
+      }
+
+    return text.str();
+  };
+
+}; // end namespace behavioural          
+}; // end namespace morpheo              
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_print.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_print.cpp	(revision 30)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_print.cpp	(revision 30)
@@ -0,0 +1,24 @@
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/include/Interface.h"
+
+
+namespace morpheo              {
+namespace behavioural          {
+
+  ostream& operator<< (ostream& output_stream,
+		       morpheo::behavioural::Interface & x)
+  {
+    output_stream << x._name + "\t"+toString(x._localisation)+"\t"+toString(x._direction) << endl;
+    output_stream << x.get_comment() << endl;
+    output_stream << x.get_signal () << endl;
+    return output_stream;
+  };
+
+}; // end namespace behavioural          
+}; // end namespace morpheo              
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_set_comment.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_set_comment.cpp	(revision 30)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_set_comment.cpp	(revision 30)
@@ -0,0 +1,20 @@
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/include/Interface.h"
+
+
+namespace morpheo              {
+namespace behavioural          {
+
+  void Interface::set_comment (string comment)
+  {
+    _comment = _comment + comment;
+  };
+
+}; // end namespace behavioural          
+}; // end namespace morpheo              
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_set_port.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_set_port.cpp	(revision 30)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_set_port.cpp	(revision 30)
@@ -0,0 +1,51 @@
+#ifdef VHDL
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/include/Interface.h"
+
+
+namespace morpheo              {
+namespace behavioural          {
+
+  void Interface::set_port (Vhdl * & vhdl)
+  {
+    if (not _list_signal.empty())
+      {
+	list<Signal>::iterator i     = _list_signal.begin();
+	
+	while (i != _list_signal.end())
+	  {
+	    presence_port_t p = (*i)._presence_port;
+	    if ((p == PORT_VHDL_YES_TESTBENCH_YES) or
+		(p == PORT_VHDL_YES_TESTBENCH_NO ) )
+	      vhdl->set_port ((*i)._name,(*i)._direction,(*i)._size);
+	    ++i;
+	  }
+      }
+  };
+
+  void Interface::set_port (Vhdl_Testbench * & vhdl_testbench)
+  {
+    if (not _list_signal.empty())
+      {
+	list<Signal>::iterator i     = _list_signal.begin();
+	
+	while (i != _list_signal.end())
+	  {
+	    presence_port_t p = (*i)._presence_port;
+	    if ((p == PORT_VHDL_YES_TESTBENCH_YES) or
+		(p == PORT_VHDL_NO_TESTBENCH_YES ) )
+	      vhdl_testbench->set_port ((*i)._name,(*i)._direction,(*i)._size);
+	    ++i;
+	  }
+      }
+  };
+
+}; // end namespace behavioural          
+}; // end namespace morpheo              
+#endif
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_set_signal.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_set_signal.cpp	(revision 30)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_set_signal.cpp	(revision 30)
@@ -0,0 +1,50 @@
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Include/ChangeCase.h"
+#include "Behavioural/include/Interface.h"
+
+namespace morpheo              {
+namespace behavioural          {
+
+  string Interface::set_signal (Signal signal)
+  {
+    return set_signal(signal._name     ,
+		      signal._direction,
+		      signal._size     );
+    
+  };
+
+  string Interface::set_signal (string          name     ,
+				direction_t     direction,
+				uint32_t        size     ,
+				presence_port_t presence_port)
+  {
+    string str_direction =  toString(direction);
+    string str_interface = _name;
+    string str_signal    =  name;
+
+    LowerCase(str_direction);    
+    UpperCase(str_interface);
+    UpperCase(str_signal   );
+    
+    string signame = str_direction;
+    if (_name != "")
+      signame += "_"+str_interface;
+    if (name  != "")
+      signame += "_"+str_signal;
+    
+    _list_signal.push_back (Signal (signame      ,
+				    direction    ,
+				    size         ,
+				    presence_port));
+
+    return signame;
+  };
+
+}; // end namespace behavioural          
+}; // end namespace morpheo              
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_toXML.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_toXML.cpp	(revision 30)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_toXML.cpp	(revision 30)
@@ -0,0 +1,41 @@
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/include/Interface.h"
+
+namespace morpheo              {
+namespace behavioural          {
+
+  XML Interface::toXML (void)
+  {
+    XML xml ("interface");
+    
+    xml.balise_open_begin ("interface");
+    xml.  attribut        ("name"         ,_name                 );
+    xml.  attribut        ("direction"   ,toString(_direction   ));
+    xml.  attribut        ("localisation",toString(_localisation));
+    xml.balise_open_end   ();
+    xml.  text            (get_comment());
+
+    if (_list_signal.empty()== false)
+      {
+	list<Signal>::iterator i     = _list_signal.begin();
+
+	while (i != _list_signal.end())
+	  {
+	    xml.  insert_XML ((*i).toXML());
+	    ++i;
+	  }
+      }
+
+    xml.balise_close      ();
+     
+    return xml;
+  };
+
+}; // end namespace behavioural          
+}; // end namespace morpheo              
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces.cpp	(revision 30)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces.cpp	(revision 30)
@@ -0,0 +1,22 @@
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/include/Interfaces.h"
+
+namespace morpheo              {
+namespace behavioural          {
+
+  Interfaces::Interfaces  (void)
+  {
+  };
+  
+  Interfaces::~Interfaces ()
+  {
+  };
+  
+}; // end namespace behavioural          
+}; // end namespace morpheo              
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_get_interface.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_get_interface.cpp	(revision 30)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_get_interface.cpp	(revision 30)
@@ -0,0 +1,51 @@
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/include/Interfaces.h"
+
+
+namespace morpheo              {
+namespace behavioural          {
+
+  string Interfaces::get_interface (void)
+  {
+    uint32_t               depth          = 0;
+    string                 separator      = ",\n";
+    bool                   last_separator = false;
+
+
+    list<Interface>::iterator i  = _list_interface.begin();
+    bool                   empty = _list_interface.empty();
+
+    string                 tab   = string(depth,'\t');
+    ostringstream          text;
+
+    if (not empty)
+      {
+	// First
+	if (i != _list_interface.end())
+	  {
+	    text << tab << *i;
+	    ++i;
+	  }
+	
+	while (i != _list_interface.end())
+	  {
+	    text << separator;
+	    text << tab << *i;
+	    ++i;
+	  }
+	
+	if (last_separator)
+	  text << separator;
+      }
+
+    return text.str();
+  };
+
+}; // end namespace behavioural          
+}; // end namespace morpheo              
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_print.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_print.cpp	(revision 30)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_print.cpp	(revision 30)
@@ -0,0 +1,22 @@
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/include/Interfaces.h"
+
+
+namespace morpheo              {
+namespace behavioural          {
+
+  ostream& operator<< (ostream& output_stream,
+		       morpheo::behavioural::Interfaces & x)
+  {
+    output_stream << x.get_interface () << endl;
+    return output_stream;
+  };
+
+}; // end namespace behavioural          
+}; // end namespace morpheo              
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_set_interface.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_set_interface.cpp	(revision 30)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_set_interface.cpp	(revision 30)
@@ -0,0 +1,20 @@
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/include/Interfaces.h"
+
+namespace morpheo              {
+namespace behavioural          {
+
+  void Interfaces::set_interface (Interface interface)
+  {
+    _list_interface.push_back (interface);
+  };
+
+
+}; // end namespace behavioural          
+}; // end namespace morpheo              
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_set_port.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_set_port.cpp	(revision 30)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_set_port.cpp	(revision 30)
@@ -0,0 +1,45 @@
+#ifdef VHDL
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/include/Interfaces.h"
+
+
+namespace morpheo              {
+namespace behavioural          {
+
+  void Interfaces::set_port (Vhdl * & vhdl)
+  {
+    if (not _list_interface.empty())
+      {
+	list<Interface>::iterator i     = _list_interface.begin();
+	
+	while (i != _list_interface.end())
+	  {
+	    (*i).set_port (vhdl);
+	    ++i;
+	  }
+      }
+  };
+
+  void Interfaces::set_port (Vhdl_Testbench * & vhdl_testbench)
+  {
+    if (not _list_interface.empty())
+      {
+	list<Interface>::iterator i     = _list_interface.begin();
+	
+	while (i != _list_interface.end())
+	  {
+	    (*i).set_port (vhdl_testbench);
+	    ++i;
+	  }
+      }
+  };
+
+}; // end namespace behavioural          
+}; // end namespace morpheo              
+#endif
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_toXML.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_toXML.cpp	(revision 30)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_toXML.cpp	(revision 30)
@@ -0,0 +1,36 @@
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/include/Interfaces.h"
+
+namespace morpheo              {
+namespace behavioural          {
+
+  XML Interfaces::toXML (void)
+  {
+    XML xml ("interfaces");
+    
+//     xml.balise_open ("interfaces");
+
+    if (_list_interface.empty()== false)
+      {
+	list<Interface>::iterator i     = _list_interface.begin();
+
+	while (i != _list_interface.end())
+	  {
+	    xml.  insert_XML ((*i).toXML());
+	    ++i;
+	  }
+      }
+
+//     xml.balise_close      ();
+     
+    return xml;
+  };
+
+}; // end namespace behavioural          
+}; // end namespace morpheo              
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal.cpp	(revision 30)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal.cpp	(revision 30)
@@ -0,0 +1,30 @@
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/include/Signal.h"
+
+namespace morpheo              {
+namespace behavioural          {
+
+  Signal::Signal  (string          name         ,
+		   direction_t     direction    ,
+		   uint32_t        size         ,
+		   presence_port_t presence_port):
+    _name          (name         ),
+    _direction     (direction    ),
+    _size          (size         ),
+    _presence_port (presence_port)
+  {
+  };
+  
+  Signal::~Signal ()
+  {
+  };
+  
+
+}; // end namespace behavioural          
+}; // end namespace morpheo              
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_print.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_print.cpp	(revision 30)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_print.cpp	(revision 30)
@@ -0,0 +1,25 @@
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/include/Signal.h"
+
+namespace morpheo              {
+
+  
+
+namespace behavioural          {
+
+  ostream& operator<< (ostream& output_stream,
+		       morpheo::behavioural::Signal & x)
+  {
+    output_stream << x._name + "\t{"+toString(x._size)+"}\t"+toString(x._direction) +"\t"+toString(x._presence_port);
+
+    return output_stream;
+  };
+
+}; // end namespace behavioural          
+}; // end namespace morpheo              
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_toXML.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_toXML.cpp	(revision 30)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_toXML.cpp	(revision 30)
@@ -0,0 +1,27 @@
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/include/Signal.h"
+
+namespace morpheo              {
+namespace behavioural          {
+
+  XML Signal::toXML (void)
+  {
+    XML xml ("signal");
+    
+    xml.singleton_begin ("signal");
+    xml.attribut        ("name"     ,_name               );
+    xml.attribut        ("direction",toString(_direction));
+    xml.attribut        ("size"     ,toString(_size     ));
+    xml.singleton_end   ();
+     
+    return xml;
+  };
+
+}; // end namespace behavioural          
+}; // end namespace morpheo              
Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/src/XML_insert_XML.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/src/XML_insert_XML.cpp	(revision 30)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/src/XML_insert_XML.cpp	(revision 30)
@@ -0,0 +1,22 @@
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/include/XML.h"
+
+namespace morpheo              {
+namespace behavioural          {
+
+  bool XML::insert_XML (XML xml)
+  {
+    //return text (xml.get_body());
+    _body += xml.get_body(depth());
+
+    return true;
+  };
+
+}; // end namespace behavioural          
+}; // end namespace morpheo              
Index: /trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Graph/simulation_all.p
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Graph/simulation_all.p	(revision 20)
+++ /trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Graph/simulation_all.p	(revision 30)
@@ -16,19 +16,17 @@
 set yrange [0:4]
    
-set xtics rotate by -25 ('x04\_w08-01\_e08-01 '  0 , \
-			 'x04\_w08-04\_e08-01 '  1 , \
-			 'x04\_w08-04\_e08-07 '  2 , \
-			 'x04\_w08-07\_e08-01 '  3 , \
-			 'x04\_w08-07\_e08-15 '  4 , \
-			 'x04\_w08-08\_e08-01 '  5 , \
-			 'x04\_w08-08\_e08-07 '  6 , \
-			 'x04\_w08-11\_e08-01 '  7 , \
-			 'x04\_w08-11\_e08-07a'  8 , \
-			 'x04\_w08-11\_e08-07b'  9 , \
-			 'x04\_w08-11\_e08-15 '  10, \
-			 'x04\_w08-15\_e08-01 '  11, \
-			 'x04\_w08-15\_e08-07 '  12, \
-			 'x04\_w08-15\_e08-15 '  13  \
-			 )
+set xtics rotate by -25 ('X4-1_1_4-8'  0 , \
+			 'X4-1_2_2-8'  1 , \
+			 'X4-1_2_2-4'  2 , \
+			 'X4-1_4_1-8'  3 , \
+			 'X4-1_4_1-2'  4 , \
+			 'X4-2_1_2-8'  5 , \
+			 'X4-2_1_2-4'  6 , \
+			 'X4-2_2_1-8'  7 , \
+			 'X4-2_2_1-4'  8 , \
+			 'X4-2_2_1-2'  9 , \
+			 'X4-4_1_1-8'  10, \
+			 'X4-4_1_1-4'  11, \
+			 'X4-4_1_1-2'  12  )
 
 plot "simulation_all.dat" notitle
Index: /trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Include/poster-file_source.sed
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Include/poster-file_source.sed	(revision 30)
+++ /trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Include/poster-file_source.sed	(revision 30)
@@ -0,0 +1,32 @@
+\def\lang{@LANG}
+\def\file{@FILE}
+\def\dirschema{@DIRSCHEMA}
+\def\dirdoc{@DIRDOC}
+\def\dircommon{\dirdoc/common}
+\def\dirroot{\dirdoc/\lang}
+
+\include{Package/\file}
+\pagestyle{empty}
+
+% Package de variables d'environnement : Titre, command etc ...
+\usepackage{Include/poster-style}
+\usepackage{Package/\file}
+
+%------------------------------------------------------------------------------
+% Début document
+%------------------------------------------------------------------------------
+
+\pagestyle{empty}
+
+\begin{document}
+
+%\background{1.}
+
+\begin{poster}
+
+\maketitle
+\input{\dirroot/root}
+
+\end{poster}
+\end{document}
+
Index: /trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Language/article-Design_a_CPU_with_High_Performance_and_High_Configurability_on_FPGA
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Language/article-Design_a_CPU_with_High_Performance_and_High_Configurability_on_FPGA	(revision 30)
+++ /trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Language/article-Design_a_CPU_with_High_Performance_and_High_Configurability_on_FPGA	(revision 30)
@@ -0,0 +1,1 @@
+en
Index: /trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Language/poster-jnrdm_2007
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Language/poster-jnrdm_2007	(revision 30)
+++ /trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Language/poster-jnrdm_2007	(revision 30)
@@ -0,0 +1,1 @@
+fr
Index: /trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Makefile
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Makefile	(revision 20)
+++ /trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Makefile	(revision 30)
@@ -9,5 +9,5 @@
 #--------------------------------------------------------------------------------
 
-TYPE_DOC              	= ("doc" "ppt")
+TYPE_DOC              	= ("doc" "ppt" "poster")
 
 DEFAULT_LANG		= fr
@@ -32,4 +32,10 @@
 DIR_SCHEMA_JPG		= Schema_jpg
 DIR_TEX			= Source
+
+#--------------------------------------------------------------------------------
+# Directory
+#--------------------------------------------------------------------------------
+ENV_LATEX		= $(EXPORT) TEXINPUTS=$(DIR_INCLUDE):$$TEXINPUTS
+LATEX_WITH_ENV		= $(ENV_LATEX); $(LATEX)
 
 #--------------------------------------------------------------------------------
@@ -93,6 +99,6 @@
 			@$(ECHO) "Génération du fichier $*.dvi"
 			@#touch $(patsubst %.tex,%.ind,$<)
-			@$(LATEX) $<
-			@$(LATEX) $< > /dev/null
+			@$(LATEX_WITH_ENV) $<
+			@$(LATEX_WITH_ENV) $< > /dev/null
 			@#$(MAKEINDEX) $(patsubst %.tex,%.idx,$<)
 			@citation=`$(GREP) "citation" $*.aux`; \
@@ -100,6 +106,6 @@
 			  $(BIBTEX) $* ; \
 			fi
-			@$(LATEX) $< > /dev/null
-			@$(LATEX) $< > /dev/null
+			@$(LATEX_WITH_ENV) $< > /dev/null
+			@$(LATEX_WITH_ENV) $< > /dev/null
 
 #--------------------------------------------------------------------------------
